OpenTTD Source: CYapfRoadNode Struct Reference

OpenTTD Source 15.0-RC2

Public Types | Public Member Functions | Data Fields
CYapfRoadNode Struct Reference

Yapf Node for road YAPF. More...

`#include <yapf_node_road.hpp>`

Inheritance diagram for CYapfRoadNode:

## Public Types
typedef CYapfNodeT< CYapfNodeKeyExitDir, CYapfRoadNode > | base
Public Types inherited from CYapfNodeT< CYapfNodeKeyExitDir, CYapfRoadNode >
typedef CYapfNodeKeyExitDir | Key
typedef CYapfRoadNode | Node

## Public Member Functions
void | Set (CYapfRoadNode *parent, TileIndex tile, Trackdir td, bool is_choice)
Public Member Functions inherited from CYapfNodeT< CYapfNodeKeyExitDir, CYapfRoadNode >
void | Set (Node *parent, TileIndex tile, Trackdir td, bool is_choice)
Node * | GetHashNext ()
void | SetHashNext (Node *pNext)
TileIndex | GetTile () const
Trackdir | GetTrackdir () const
const CYapfNodeKeyExitDir & | GetKey () const
int | GetCost () const
int | GetCostEstimate () const
bool | GetIsChoice () const
bool | operator< (const Node &other) const
void | Dump (DumpTarget &dmp) const

## Data Fields
TileIndex | segment_last_tile
Trackdir | segment_last_td
Data Fields inherited from CYapfNodeT< CYapfNodeKeyExitDir, CYapfRoadNode >
CYapfNodeKeyExitDir | key
Node * | hash_next
Node * | parent
int | cost
int | estimate
bool | is_choice

## Detailed Description

Yapf Node for road YAPF.

Definition at line 19 of file yapf_node_road.hpp.

## Member Typedef Documentation

## ◆ base

typedef CYapfNodeT<CYapfNodeKeyExitDir, CYapfRoadNode> CYapfRoadNode::base

Definition at line 20 of file yapf_node_road.hpp.

## Member Function Documentation

## ◆ Set()

void CYapfRoadNode::Set | ( | CYapfRoadNode * | parent,
|  | TileIndex | tile,
|  | Trackdir | td,
|  | bool | is_choice
| ) |  |
| inline

Definition at line 25 of file yapf_node_road.hpp.

## Field Documentation

## ◆ segment_last_td

Trackdir CYapfRoadNode::segment_last_td

Definition at line 23 of file yapf_node_road.hpp.

## ◆ segment_last_tile

TileIndex CYapfRoadNode::segment_last_tile

Definition at line 22 of file yapf_node_road.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node_road.hpp